SensitivityValue (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javacardx.security
Enum SensitivityValue

    java.lang.Object
      java.lang.Enum<SensitivityValue>
          javacardx.security.SensitivityValue

    public enum SensitivityValue

extends Enum<SensitivityValue>

The sensitivity, meaning security level of an application's element. The constants of this enumerated type provide a simple classification of security levels that can be requested on an application's element: a method or a type.

These constants are used with the `SensitiveType` and `SensitiveMethod` annotations to specify the expected security level.

See Runtime Environment Specification for the Java Card Platform, Connected Edition , appendix B for details regarding security annotations.

See Also:
  `SensitiveType`, `SensitiveMethod`

Enum Constant Summary
`CONFIDENTIALITY` Security level indicating that confidentiality of the annotated application's element is important.
`FULL` Security level for both sensitivity in `INTEGRITY` and in `CONFIDENTIALITY`.
`INTEGRITY` Security level indicating that consistency of the annotated application's element is important to guarantee the good behavior of the application.

Method Summary
`static SensitivityValue` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SensitivityValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`equals, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INTEGRITY

    public static final SensitivityValue INTEGRITY

  Security level indicating that consistency of the annotated application's element is important to guarantee the good behavior of the application.

### CONFIDENTIALITY

    public static final SensitivityValue CONFIDENTIALITY

  Security level indicating that confidentiality of the annotated application's element is important.

### FULL

    public static final SensitivityValue FULL

  Security level for both sensitivity in `INTEGRITY` and in `CONFIDENTIALITY`.

Method Detail

### values

    public static SensitivityValue[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SensitivityValue c : SensitivityValue.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SensitivityValue valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.